package org.springblade.third.doordevice.feign;

import org.springblade.third.doordevice.entity.MqConf;
import org.springblade.third.doordevice.vo.MqConfVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class MqConfClientFallback implements IMqConfClient {
            /**
         * 详情
         */
        @Override
        public MqConfVO detail(MqConf mqConf) {
            return null;
        }

        /**
         * 查询 队列配置表
         */
        @Override
        public List<MqConfVO> list(MqConf mqConf) {
            return null;
        }



        /**
         * 新增 队列配置表
         */
        @Override
        public boolean save( MqConf mqConf) {
            return false;
        }

        /**
         * 修改 队列配置表
         */
        @Override
        public boolean update( MqConf mqConf) {
            return false;
        }

        /**
         * 新增或修改 队列配置表
         */
        @Override
        public boolean submit( MqConf mqConf) {
            return false;
        }


        /**
         * 删除 队列配置表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
